Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2113682 - rttr: FTBFS in Fedora rawhide/f37
Summary: rttr: FTBFS in Fedora rawhide/f37
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: rttr
Version: 37
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nicolas Chauvet (kwizart)
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: F38FTBFS F39FTBFS F37FTBFS
TreeView+ depends on / blocked
 
Reported: 2022-08-02 00:12 UTC by Fedora Release Engineering
Modified: 2023-10-11 04:25 UTC (History)
5 users (show)

Fixed In Version: rttr-0.9.7-0.5git7edbd58.fc39
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-06-12 18:31:01 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
build.log (deleted)
2022-08-02 00:12 UTC, Fedora Release Engineering
no flags Details
root.log (deleted)
2022-08-02 00:12 UTC, Fedora Release Engineering
no flags Details
state.log (deleted)
2022-08-02 00:12 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2022-08-02 00:12:16 UTC
rttr failed to build from source in Fedora rawhide/f37

https://koji.fedoraproject.org/koji/taskinfo?taskID=89897231


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild
Please fix rttr at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
rttr will be orphaned. Before branching of Fedora 38,
rttr will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/

Comment 1 Fedora Release Engineering 2022-08-02 00:12:18 UTC
Created attachment 1902465 [details]
build.log

file build.log too big, will only attach last 32768 bytes

Comment 2 Fedora Release Engineering 2022-08-02 00:12:20 UTC
Created attachment 1902466 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2022-08-02 00:12:21 UTC
Created attachment 1902467 [details]
state.log

Comment 4 Ben Cotton 2022-08-09 13:33:24 UTC
This bug appears to have been reported against 'rawhide' during the Fedora Linux 37 development cycle.
Changing version to 37.

Comment 5 Neal Gompa 2023-01-24 13:33:09 UTC
Jakub, it seems like this broke with GCC 12/13. I'm not sure what is causing the failure though.

Building on RHEL 9 (GCC 11) seems to work.

Fedora Rawhide scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=96614875

EPEL 9 scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=96615615

Can you please help us out here?

Comment 7 Jonathan Wakely 2023-01-27 22:33:36 UTC
(In reply to Sergio Basto from comment #6)
> https://github.com/rttrorg/rttr/pulls 
> 
> a lot of pull requests that can fix the build , for example : 

Those don't look relevant, the package builds fine, but then the unit tests fail.

Comment 8 Nicolas Chauvet (kwizart) 2023-05-22 14:46:03 UTC
Switching to catch2-devel for f38+ now the build failed only on ppc64le and s390x
https://koji.fedoraproject.org/koji/taskinfo?taskID=101447830

Comment 9 Nicolas Chauvet (kwizart) 2023-06-12 14:39:07 UTC
Here is a full paste of the error (still only on ppc64le and s390x, others arches are okay)
more recent scratch build:
https://koji.fedoraproject.org/koji/taskinfo?taskID=102048078
Upstream report https://github.com/rttrorg/rttr/issues/357

---
In file included from /usr/include/c++/13/functional:59,
                 from /builddir/build/BUILD/rttr-7edbd580cfad509a3253c733e70144e36f02ecd4/src/rttr/../rttr/detail/misc/function_traits.h:36,
                 from /builddir/build/BUILD/rttr-7edbd580cfad509a3253c733e70144e36f02ecd4/src/rttr/../rttr/detail/misc/misc_type_traits.h:33,
                 from /builddir/build/BUILD/rttr-7edbd580cfad509a3253c733e70144e36f02ecd4/src/rttr/../rttr/detail/misc/utility.h:34,
                 from /builddir/build/BUILD/rttr-7edbd580cfad509a3253c733e70144e36f02ecd4/src/rttr/../rttr/detail/impl/string_view_impl.h:32,
                 from /builddir/build/BUILD/rttr-7edbd580cfad509a3253c733e70144e36f02ecd4/src/rttr/../rttr/string_view.h:498,
                 from /builddir/build/BUILD/rttr-7edbd580cfad509a3253c733e70144e36f02ecd4/src/rttr/../rttr/type.h:32,
                 from /builddir/build/BUILD/rttr-7edbd580cfad509a3253c733e70144e36f02ecd4/src/rttr/type.cpp:28:
In member function 'std::function<bool (rttr::property const&)>::function(std::function<bool (rttr::property const&)> const&)',
    inlined from 'rttr::detail::default_predicate<rttr::property>::default_predicate(rttr::detail::default_predicate<rttr::property> const&)' at /builddir/build/BUILD/rttr-7edbd580cfad509a3253c733e70144e36f02ecd4/src/rttr/../rttr/detail/impl/array_range_impl.h:511:8,
    inlined from 'rttr::array_range<rttr::property, rttr::detail::default_predicate<rttr::property> >::array_range(rttr::property const*, unsigned long, rttr::detail::default_predicate<rttr::property> const&)' at /builddir/build/BUILD/rttr-7edbd580cfad509a3253c733e70144e36f02ecd4/src/rttr/../rttr/detail/impl/array_range_impl.h:45:5,
    inlined from 'rttr::type::get_properties() const' at /builddir/build/BUILD/rttr-7edbd580cfad509a3253c733e70144e36f02ecd4/src/rttr/type.cpp:276:41:
/usr/include/c++/13/bits/std_function.h:391:17: error: '<anonymous>' may be used uninitialized [-Werror=maybe-uninitialized]
  391 |             __x._M_manager(_M_functor, __x._M_functor, __clone_functor);
      |             ~~~~^~~~~~~~~~
/usr/include/c++/13/bits/std_function.h: In member function 'rttr::type::get_properties() const':
/usr/include/c++/13/bits/std_function.h:267:7: note: by argument 2 of type 'const union _Any_data & {ref-all}' to 'std::_Function_handler<bool (rttr::property const&), rttr::type::get_properties() const::{lambda(rttr::property const&)#1}>::_M_manager(std::_Any_data&, std::_Any_data const&, std::_Manager_operation)' declared here
  267 |       _M_manager(_Any_data& __dest, const _Any_data& __source,
      |       ^~~~~~~~~~
/builddir/build/BUILD/rttr-7edbd580cfad509a3253c733e70144e36f02ecd4/src/rttr/type.cpp:276:39: note: '<anonymous>' declared here
  276 |                                      }) );
      |                                       ^
In member function 'std::function<bool (rttr::method const&)>::function(std::function<bool (rttr::method const&)> const&)',
    inlined from 'rttr::detail::default_predicate<rttr::method>::default_predicate(rttr::detail::default_predicate<rttr::method> const&)' at /builddir/build/BUILD/rttr-7edbd580cfad509a3253c733e70144e36f02ecd4/src/rttr/../rttr/detail/impl/array_range_impl.h:511:8,
    inlined from 'rttr::array_range<rttr::method, rttr::detail::default_predicate<rttr::method> >::array_range(rttr::method const*, unsigned long, rttr::detail::default_predicate<rttr::method> const&)' at /builddir/build/BUILD/rttr-7edbd580cfad509a3253c733e70144e36f02ecd4/src/rttr/../rttr/detail/impl/array_range_impl.h:45:5,
    inlined from 'rttr::type::get_methods() const' at /builddir/build/BUILD/rttr-7edbd580cfad509a3253c733e70144e36f02ecd4/src/rttr/type.cpp:345:39:
/usr/include/c++/13/bits/std_function.h:391:17: error: '<anonymous>' may be used uninitialized [-Werror=maybe-uninitialized]
  391 |             __x._M_manager(_M_functor, __x._M_functor, __clone_functor);
      |             ~~~~^~~~~~~~~~
/usr/include/c++/13/bits/std_function.h: In member function 'rttr::type::get_methods() const':
/usr/include/c++/13/bits/std_function.h:267:7: note: by argument 2 of type 'const union _Any_data & {ref-all}' to 'std::_Function_handler<bool (rttr::method const&), rttr::type::get_methods() const::{lambda(rttr::method const&)#1}>::_M_manager(std::_Any_data&, std::_Any_data const&, std::_Manager_operation)' declared here
  267 |       _M_manager(_Any_data& __dest, const _Any_data& __source,
      |       ^~~~~~~~~~
/builddir/build/BUILD/rttr-7edbd580cfad509a3253c733e70144e36f02ecd4/src/rttr/type.cpp:345:37: note: '<anonymous>' declared here
  345 |                                    }) );
      |                                     ^
In member function 'std::function<bool (rttr::constructor const&)>::function(std::function<bool (rttr::constructor const&)> const&)',
    inlined from 'rttr::detail::default_predicate<rttr::constructor>::default_predicate(rttr::detail::default_predicate<rttr::constructor> const&)' at /builddir/build/BUILD/rttr-7edbd580cfad509a3253c733e70144e36f02ecd4/src/rttr/../rttr/detail/impl/array_range_impl.h:511:8,
    inlined from 'rttr::array_range<rttr::constructor, rttr::detail::default_predicate<rttr::constructor> >::array_range(rttr::constructor const*, unsigned long, rttr::detail::default_predicate<rttr::constructor> const&)' at /builddir/build/BUILD/rttr-7edbd580cfad509a3253c733e70144e36f02ecd4/src/rttr/../rttr/detail/impl/array_range_impl.h:45:5,
    inlined from 'rttr::type::get_constructors() const' at /builddir/build/BUILD/rttr-7edbd580cfad509a3253c733e70144e36f02ecd4/src/rttr/type.cpp:534:44:
/usr/include/c++/13/bits/std_function.h:391:17: error: '<anonymous>' may be used uninitialized [-Werror=maybe-uninitialized]
  391 |             __x._M_manager(_M_functor, __x._M_functor, __clone_functor);
      |             ~~~~^~~~~~~~~~
/usr/include/c++/13/bits/std_function.h: In member function 'rttr::type::get_constructors() const':
/usr/include/c++/13/bits/std_function.h:267:7: note: by argument 2 of type 'const union _Any_data & {ref-all}' to 'std::_Function_handler<bool (rttr::constructor const&), rttr::type::get_constructors() const::{lambda(rttr::constructor const&)#1}>::_M_manager(std::_Any_data&, std::_Any_data const&, std::_Manager_operation)' declared here
  267 |       _M_manager(_Any_data& __dest, const _Any_data& __source,
      |       ^~~~~~~~~~
/builddir/build/BUILD/rttr-7edbd580cfad509a3253c733e70144e36f02ecd4/src/rttr/type.cpp:534:42: note: '<anonymous>' declared here
  534 |                                         }) );

---

Comment 10 Jonathan Wakely 2023-06-12 18:06:53 UTC
That is just a warning. Stop building with -Werror.

Comment 11 Fedora Update System 2023-06-12 18:29:56 UTC
FEDORA-2023-7db0fe1a18 has been submitted as an update to Fedora 39. https://bodhi.fedoraproject.org/updates/FEDORA-2023-7db0fe1a18

Comment 12 Fedora Update System 2023-06-12 18:31:01 UTC
FEDORA-2023-7db0fe1a18 has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 13 Red Hat Bugzilla 2023-10-11 04:25:06 UTC
The needinfo request[s] on this closed bug have been removed as they have been unresolved for 120 days


Note You need to log in before you can comment on or make changes to this bug.